<?php

namespace Tech360;

defined( 'ABSPATH' ) or die;

$sidebars = new Widget();

$sidebars->add( [
	'name' => esc_html__( 'Sidebar', 'tech360' ),
	'id' => 'sidebar-1',
	'description' => esc_html__( 'Widgets added here will be displayed on the right side of the blog pages.', 'tech360' ),
	'before_widget' => '<div id="%1$s" class="side-widget %2$s">',
	'after_widget' => '</div>',
	'before_title' => '<h4 class="side-widget-title">',
	'after_title' => '</h4>'
] );

$sidebars->add( [
	'name' => esc_html__( 'Footer Column 1', 'tech360' ),
	'id' => 'footer-col-1',
	'description' => esc_html__( 'Add the widgets for the first column of the footer here. Contact information will be displayed before any widgets you may add.', 'tech360' )
] );

$sidebars->add( [
	'name' => esc_html__( 'Footer Column 2', 'tech360' ),
	'id' => 'footer-col-2',
	'description' => esc_html__( 'Add the widgets for the second column of the footer here. The Quicklinks Menu (if set) will be displayed before any widgets you may add.', 'tech360' )
] );

if( get_option( 'footer_layout' ) == 'three_col' || get_option( 'footer_layout' ) == 'four_col' ) {
	$sidebars->add( [
		'name' => esc_html__( 'Footer Column 3', 'tech360' ),
		'id' => 'footer-col-3',
		'description' => esc_html__( 'Add the widgets for the third column of the footer here. The Services menu (if set) will be displayed before any widgets you may add.', 'tech360' )
		] );
}

if( get_option( 'footer_layout' ) == 'four_col' ) {
	$sidebars->add( [
		'name' => esc_html__( 'Footer Column 4', 'tech360' ),
		'id' => 'footer-col-4',
		'description' => esc_html__( 'Add the widgets for the fourth column of the footer here. The newsletter subscription form will be displayed before any widgets you may add.', 'tech360' )
	] );
}

$sidebars->render();
